<?php

declare(strict_types=1);

namespace KupShop\GraphQLBundle\ApiAdmin\Types\Collection;

use KupShop\GraphQLBundle\ApiShared\Types\Collection\CollectionBase;
use KupShop\GraphQLBundle\ApiShared\Types\Product\Label;
use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

#[Type]
class LabelCollection extends CollectionBase
{
    /**
     * @return Label[]
     */
    #[Field]
    public function getItems(): array
    {
        return $this->items;
    }
}
